HYDRASDR_CLOCKGEN(7)

NAME
hydrasdr_clockgen - HydraSDR Clock Generator Tool.

DESCRIPTION
Query, Read, and Write device clock registers.

USAGE
hydrasdr_clockgen [options]

OPTIONS
-c, --config: print textual configuration information

-n, --register <n>: set register number [0-255] for subsequent read/write operations

-r, --read: read register specified by last -n argument, or all registers

-w, --write <v>: write register specified by last -n argument with value <v>

-s serial_number_64bits: Open board with specified 64bits serial number.

-h Show help

EXAMPLES

<command> -n 12 -r # reads from register 12

<command> -r # reads all registers

<command> -n 10 -w 22 # writes register 10 with 22 decimal

AUTHORS
 HydraSDR RFOne
 was primarily written by Benjamin VERNOUX.

SEE ALSO
Package documentation in /usr/share/doc/hydrasdr-tools/

For more information visit https://www.hydrasdr.com